import { TypeAttributes } from '../@types/common';
export interface PositionType {
    positionLeft?: number;
    positionTop?: number;
    arrowOffsetLeft?: null | number;
    arrowOffsetTop?: null | number;
    positionClassName?: string;
}
export interface UtilProps {
    placement: TypeAttributes.Placement;
    preventOverflow: boolean;
    padding: number;
}
export declare const AutoPlacement: {
    left: string;
    right: string;
    top: string;
    bottom: string;
};
export interface Dimensions {
    width: number;
    height: number;
    scrollX: number;
    scrollY: number;
}
declare const _default: (props: UtilProps) => {
    getPosition(target: any, container: any): {
        top: number;
        left: number;
        height: number;
        width: number;
    } | null;
    calcAutoPlacement(targetOffset: any, container: any, overlay: any): any;
    calcOverlayPosition(overlayNode: any, target: any, container: any): PositionType;
};
export default _default;
